[Bioperl-l] Bundle::BioPerl and Pre-reqs

Chris Fields cjfields at uiuc.edu
Mon Oct 23 13:15:44 EDT 2006


...
> I should clarify and say that that's what happens in Bioperl as well.
> The 'forcing' that I talk about is simply what I assume will happen if
> the user has CPAN set to automatically install dependencies. The user
> could say 'no' to every question regarding the installation of
> dependencies that CPAN discovers and Bioperl would still install fine.
> 
> So really the difference between the current situation and, say, the
> situation when 1.5.1 was released, is that the CPAN user doesn't have to
> use Bundle::BioPerl for full functionality anymore, but can still chose
> not to install all the optional external modules.
> 
> The difference is the possible default behaviour. Those users that
> auto-install dependencies get all the optional ones, whereas in the past
> they would not have. I have to point out the benefit of this behaviour:
> those people that don't care and just want it to work are more likely to
> get an installation that does just work. People who know what they're
> doing can still do what they want.

OK with me.  Any way we go about it, we have to assume that anyone who set
CPAN to automatically install dependencies would want this behavior.

> Before we decide what to do I guess we need hard confirmation of how
> CPAN will actually behave with the current Makefile.PL. Any ideas how we
> can find out?
> 
> It would also be good to have more options to break the current tie
> (Nathan is for keeping PREREQ_PM populated, Chris is for having it
> empty, I can go either way)...

Frankly I'm for whatever is easiest for the end-user.  I think we should
continue maintaining Bundle::Bioperl b/c of its convenience (easier for us
to say 'install Bundle::Bioperl' as opposed to 'install modules a b d d e f
g...'  ).  I should note that Chris D. maintains Bundle::Bioperl via CPAN
and can easily add/remove modules as needed, so all that would be necessary
prior to a release is to make sure the various modules present in the Bundle
are up-to-date.

The only difficulty would updating the bundle PPM version for Win32; I agree
with Nathan that it would be nice if it were easier to maintain.  The PPD
file generated using 'nmake ppd' needs modifications, likely b/c these are
probably still generated as PPM3-compatible vs PPM4-compatible.

I also think the idea of having the developer releases available via CPAN is
a good one, as long as they are marked as such (which you are taking care of
with versioning changes).  It makes them a little more official, even if
they are interim developer releases.

Chris




More information about the Bioperl-l mailing list